# std::chrono::month::ok

From cppreference.com
< cpp‎ | chrono‎ | month

constexpr bool ok() const noexcept; |  | (since C++20)

Checks if the month value stored in *this is in the valid range, i.e., `[`1`,` 12`]`.

### Return value

true if the month value stored in *this is in the range `[`1`,` 12`]`. Otherwise false.

### Example

Run this code

    #include <chrono>
    #include <iostream>

    int main()
    {
        for (const unsigned mm : {6u, 0u, 16U})
        {
            std::cout << mm << ": ";
            const std::chrono::month m{mm};
            m.ok() ? std::cout << "month is valid\n"
                   : std::cout << "month is invalid\n";
        }
    }

Output:

    6: month is valid
    0: month is invalid
    16: month is invalid

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/month/ok&oldid=157122"